scala.reflect.runtime

# ReflectionUtils

#### object ReflectionUtils

A few java-reflection oriented utility functions useful during reflection bootstrapping.

Source
  ReflectionUtils.scala

Linear Supertypes
AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ReflectionUtils
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class EnclosedIn[T] extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object EnclosedInClass extends EnclosedIn[Class[_]]

5. #### object EnclosedInConstructor extends EnclosedIn[Constructor[_]]

6. #### object EnclosedInMethod extends EnclosedIn[Method]

7. #### object EnclosedInPackage extends EnclosedIn[Package]

8. #### object PrimitiveOrArray

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def associatedFile(clazz: Class[_]): AbstractFile

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def innerSingletonInstance(outer: AnyRef, className: String): AnyRef

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isTraitImplementation(fileName: String): Boolean

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def scalacShouldntLoadClass(name: internal.SymbolTable.Name): Boolean

24. #### def scalacShouldntLoadClassfile(fileName: String): Boolean

25. #### def show(cl: ClassLoader): String

26. #### def staticSingletonInstance(clazz: Class[_]): AnyRef

27. #### def staticSingletonInstance(cl: ClassLoader, className: String): AnyRef

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### def unwrapHandler[T](pf: PartialFunction[Throwable, T]): PartialFunction[Throwable, T]

31. #### def unwrapThrowable(x: Throwable): Throwable

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped